<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_l"></a>- l -</h3><ul>
<li>list_at()
: <a class="el" href="list_2basic__list_8c.html#a7da046fc29cdae90ff1f9c59cb9ef702">basic_list.c</a>
, <a class="el" href="list_2basic__list_8h.html#a7da046fc29cdae90ff1f9c59cb9ef702">basic_list.h</a>
, <a class="el" href="memory_2basic__list_8c.html#a7da046fc29cdae90ff1f9c59cb9ef702">basic_list.c</a>
</li>
<li>list_first()
: <a class="el" href="list_8old_8c.html#a17db498966456a086b9a49ba695a3ee0">list.old.c</a>
, <a class="el" href="list_8old_8h.html#a17db498966456a086b9a49ba695a3ee0">list.old.h</a>
</li>
<li>list_foreach()
: <a class="el" href="list_2basic__list_8h.html#ae8b82bac744eb10143002e21c936795f">basic_list.h</a>
, <a class="el" href="memory_2basic__list_8c.html#ae8b82bac744eb10143002e21c936795f">basic_list.c</a>
, <a class="el" href="memory_2basic__list_8h.html#ae8b82bac744eb10143002e21c936795f">basic_list.h</a>
, <a class="el" href="list_2basic__list_8c.html#ae8b82bac744eb10143002e21c936795f">basic_list.c</a>
</li>
<li>list_get_pos()
: <a class="el" href="list_8old_8c.html#a95db2db655718f551f5ed1b11275fc30">list.old.c</a>
, <a class="el" href="list_8old_8h.html#a95db2db655718f551f5ed1b11275fc30">list.old.h</a>
</li>
<li>list_init()
: <a class="el" href="list_8old_8c.html#a28788ccb1b363a930a766de58076b516">list.old.c</a>
, <a class="el" href="list_8old_8h.html#a28788ccb1b363a930a766de58076b516">list.old.h</a>
</li>
<li>list_insert()
: <a class="el" href="list_2basic__list_8h.html#ae9f64432b192455f316bf623574037a2">basic_list.h</a>
, <a class="el" href="memory_2basic__list_8c.html#ae9f64432b192455f316bf623574037a2">basic_list.c</a>
, <a class="el" href="memory_2basic__list_8h.html#ae9f64432b192455f316bf623574037a2">basic_list.h</a>
, <a class="el" href="list_2basic__list_8c.html#ae9f64432b192455f316bf623574037a2">basic_list.c</a>
</li>
<li>list_insert_after()
: <a class="el" href="list_2basic__list_8c.html#a07a470c76daa82462d543d42cbd1df36">basic_list.c</a>
, <a class="el" href="list_2basic__list_8h.html#a07a470c76daa82462d543d42cbd1df36">basic_list.h</a>
, <a class="el" href="list_8old_8c.html#affe471df0bb550543f19943496ada3bd">list.old.c</a>
, <a class="el" href="list_8old_8h.html#affe471df0bb550543f19943496ada3bd">list.old.h</a>
, <a class="el" href="memory_2basic__list_8c.html#a07a470c76daa82462d543d42cbd1df36">basic_list.c</a>
, <a class="el" href="memory_2basic__list_8h.html#a07a470c76daa82462d543d42cbd1df36">basic_list.h</a>
</li>
<li>list_insert_first()
: <a class="el" href="list_8old_8c.html#a8f0d12090de6aacd9e3a35cb7b115099">list.old.c</a>
, <a class="el" href="list_8old_8h.html#a8f0d12090de6aacd9e3a35cb7b115099">list.old.h</a>
</li>
<li>list_insert_sorted()
: <a class="el" href="list_2basic__list_8c.html#a1a4ab1f1570ecfceed96664f4a710635">basic_list.c</a>
, <a class="el" href="list_2basic__list_8h.html#a1a4ab1f1570ecfceed96664f4a710635">basic_list.h</a>
, <a class="el" href="memory_2basic__list_8c.html#a1a4ab1f1570ecfceed96664f4a710635">basic_list.c</a>
, <a class="el" href="memory_2basic__list_8h.html#a1a4ab1f1570ecfceed96664f4a710635">basic_list.h</a>
</li>
<li>list_last()
: <a class="el" href="list_2basic__list_8h.html#a329055fb825862188f4108422398c30f">basic_list.h</a>
, <a class="el" href="list_8old_8c.html#ab7f6d8c5a8786a63042d185816b0e0a7">list.old.c</a>
, <a class="el" href="list_8old_8h.html#ab7f6d8c5a8786a63042d185816b0e0a7">list.old.h</a>
, <a class="el" href="memory_2basic__list_8c.html#a329055fb825862188f4108422398c30f">basic_list.c</a>
, <a class="el" href="memory_2basic__list_8h.html#a329055fb825862188f4108422398c30f">basic_list.h</a>
, <a class="el" href="list_2basic__list_8c.html#a329055fb825862188f4108422398c30f">basic_list.c</a>
</li>
<li>list_length()
: <a class="el" href="list_2basic__list_8c.html#ae1c0f6e3cca52e060f4cce1248089d61">basic_list.c</a>
, <a class="el" href="list_2basic__list_8h.html#ae1c0f6e3cca52e060f4cce1248089d61">basic_list.h</a>
, <a class="el" href="list_8old_8c.html#aa335ad050af9200ac67690e39d253f44">list.old.c</a>
, <a class="el" href="list_8old_8h.html#aa335ad050af9200ac67690e39d253f44">list.old.h</a>
, <a class="el" href="memory_2basic__list_8c.html#ae1c0f6e3cca52e060f4cce1248089d61">basic_list.c</a>
, <a class="el" href="memory_2basic__list_8h.html#ae1c0f6e3cca52e060f4cce1248089d61">basic_list.h</a>
</li>
<li>list_mem_alloc()
: <a class="el" href="list__mem_8c.html#a4c03ac658bfca8b8cb244202a62e640f">list_mem.c</a>
, <a class="el" href="list__mem_8h.html#a4c03ac658bfca8b8cb244202a62e640f">list_mem.h</a>
</li>
<li>list_mem_free()
: <a class="el" href="list__mem_8c.html#a65f04d73b73b04184a8f7f4231854cd0">list_mem.c</a>
, <a class="el" href="list__mem_8h.html#a65f04d73b73b04184a8f7f4231854cd0">list_mem.h</a>
</li>
<li>list_mem_init()
: <a class="el" href="list__mem_8c.html#a36f0723f1f137c01b8e9f4f075db8080">list_mem.c</a>
, <a class="el" href="list__mem_8h.html#a36f0723f1f137c01b8e9f4f075db8080">list_mem.h</a>
</li>
<li>list_next()
: <a class="el" href="list_8old_8c.html#ab21d791e2380324a2556403a5ebfa91c">list.old.c</a>
, <a class="el" href="list_2basic__list_8c.html#aea35d033b336bc6e91afe59a63a22596">basic_list.c</a>
, <a class="el" href="list_2basic__list_8h.html#aea35d033b336bc6e91afe59a63a22596">basic_list.h</a>
, <a class="el" href="list_8old_8h.html#ab21d791e2380324a2556403a5ebfa91c">list.old.h</a>
, <a class="el" href="memory_2basic__list_8c.html#aea35d033b336bc6e91afe59a63a22596">basic_list.c</a>
, <a class="el" href="memory_2basic__list_8h.html#aea35d033b336bc6e91afe59a63a22596">basic_list.h</a>
</li>
<li>list_node_pos()
: <a class="el" href="memory_2basic__list_8h.html#afbfd3b3116cdc3fcb38d86d37befabc8">basic_list.h</a>
, <a class="el" href="list_2basic__list_8c.html#afbfd3b3116cdc3fcb38d86d37befabc8">basic_list.c</a>
, <a class="el" href="list_2basic__list_8h.html#afbfd3b3116cdc3fcb38d86d37befabc8">basic_list.h</a>
, <a class="el" href="memory_2basic__list_8c.html#afbfd3b3116cdc3fcb38d86d37befabc8">basic_list.c</a>
</li>
<li>list_pos()
: <a class="el" href="list_8old_8c.html#a11c2225878e0b8dddfc21c5c02b63f6c">list.old.c</a>
, <a class="el" href="list_8old_8h.html#a11c2225878e0b8dddfc21c5c02b63f6c">list.old.h</a>
</li>
<li>list_prev()
: <a class="el" href="memory_2basic__list_8h.html#a7a9cf3ff042c1c58cf89cc68ccecdfcd">basic_list.h</a>
, <a class="el" href="list_2basic__list_8c.html#a7a9cf3ff042c1c58cf89cc68ccecdfcd">basic_list.c</a>
, <a class="el" href="list_2basic__list_8h.html#a7a9cf3ff042c1c58cf89cc68ccecdfcd">basic_list.h</a>
</li>
<li>list_remove()
: <a class="el" href="list_2basic__list_8h.html#ab742b7ea7cf853af670946a956a77192">basic_list.h</a>
, <a class="el" href="list_8old_8h.html#a5049b5478fbdb64f35b49e4540ef5b39">list.old.h</a>
, <a class="el" href="list_8old_8c.html#a5049b5478fbdb64f35b49e4540ef5b39">list.old.c</a>
, <a class="el" href="memory_2basic__list_8c.html#ab742b7ea7cf853af670946a956a77192">basic_list.c</a>
</li>
<li>list_remove_first()
: <a class="el" href="list_8old_8c.html#ad5c624f729a5db8726535ec1c73223b0">list.old.c</a>
, <a class="el" href="list_8old_8h.html#ad5c624f729a5db8726535ec1c73223b0">list.old.h</a>
</li>
<li>list_remove_next()
: <a class="el" href="list_2basic__list_8c.html#ae8f481baaa8c6fff21b9d435ad4e3a7b">basic_list.c</a>
, <a class="el" href="list_2basic__list_8h.html#ae8f481baaa8c6fff21b9d435ad4e3a7b">basic_list.h</a>
, <a class="el" href="memory_2basic__list_8c.html#ae8f481baaa8c6fff21b9d435ad4e3a7b">basic_list.c</a>
, <a class="el" href="memory_2basic__list_8h.html#ae8f481baaa8c6fff21b9d435ad4e3a7b">basic_list.h</a>
</li>
<li>list_sort()
: <a class="el" href="list_2basic__list_8h.html#a440f0519121756b356ecce7fd78993b1">basic_list.h</a>
, <a class="el" href="memory_2basic__list_8c.html#a440f0519121756b356ecce7fd78993b1">basic_list.c</a>
, <a class="el" href="memory_2basic__list_8h.html#a440f0519121756b356ecce7fd78993b1">basic_list.h</a>
, <a class="el" href="list_2basic__list_8c.html#a440f0519121756b356ecce7fd78993b1">basic_list.c</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
